.loader {
  display: none; /* Для тесту */
  width: 30px;
  height: 30px;
  position: relative;
}

.loader-square {
  position: absolute;
  width: 6px;
  height: 6px;
  background: #007AFF;
  border-radius: 1px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
}

svg {
  transform: rotate(-90deg);
}

.circle-bg {
  fill: none;
  stroke: #e5e5ea;
  stroke-width: 2.5;
}

.circle-progress {
  fill: none;
  stroke: #007AFF;
  stroke-width: 2.5;
  stroke-linecap: round;
  transition: stroke-dashoffset 0.016s linear;
}

.pre-loader {
  width: 25px;
  height: 25px;
  border: 1px solid lightgray;
  border-bottom-color: transparent;
  border-radius: 50%;
  display: none;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
  margin-left: 5px;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@font-face {
  font-family: "SF_Light";
  src: url(../fonts/SF-Pro-Rounded-Light.otf) format("truetype");
  font-weight: 300;
  font-display: swap;
}
@font-face {
  font-family: "SF_Regular";
  src: url(../fonts/SF-Pro-Rounded-Regular.otf) format("truetype");
  font-display: swap;
}
@font-face {
  font-family: "SF_Bold";
  src: url(../fonts/SF-Pro-Rounded-Bold.otf) format("truetype");
  font-weight: bold;
  font-display: swap;
}
@font-face {
  font-family: "SF_Text_Light";
  src: url(../fonts/SF-Pro-Text-Light.otf) format("truetype");
  font-weight: 300;
  font-display: swap;
}
@font-face {
  font-family: "SF_Text_Regular";
  src: url(../fonts/SF-Pro-Text-Regular.otf) format("truetype");
  font-display: swap;
}
@font-face {
  font-family: "SF_Text_Bold";
  src: url(../fonts/SF-Pro-Text-Semibold.otf) format("truetype");
  font-weight: bold;
  font-display: swap;
}
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: "";
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

*, *:after, *:before {
  box-sizing: border-box;
}

html, body {
  width: 100%;
  font-family: "SF_Regular", sans-serif;
  color: #8A8A8D;
}

body {
  background: #fbfbfb;
  position: relative;
  font-size: 16px;
}

.container {
  display: var(--container-display, block);
  max-width: 700px;
  margin: 0 auto;
  padding: 20px 0;
  position: relative;
}

.container__indents {
  margin-inline: 22px;
}

.title {
  color: #000000;
  font-family: SF_Bold, sans-serif;
  font-size: 20px;
}

.btn {
  padding: 7px 20px;
  font-size: 16px;
  border-radius: 15px;
  color: #FFF;
  font-family: SF_Text_Bold, sans-serif;
  width: max-content;
}
.btn__color {
  background-color: #007aff;
}

.scroll {
  display: flex;
  align-items: flex-start;
  gap: 10px;
  padding: 0 22px;
  overflow-x: scroll;
}
.scroll::-webkit-scrollbar {
  display: none;
}

.header {
  border-bottom: 0.5px solid #C6C6C8;
  margin-inline: 22px;
  padding-bottom: 20px;
  margin-bottom: 10px;
  transition: margin-top 0.2s ease;
}
.header__btn_search {
  display: flex;
  flex-basis: 100%;
  align-items: center;
  margin-bottom: 20px;
}
.header__btn_search img {
  height: 20px;
  margin-right: 3px;
}
.header__btn_content {
  font-size: 18px;
  color: #3478F6;
}
.header__container {
  display: flex;
  align-items: normal;
  /*width: 100%;*/
  justify-content: normal;
}
.header__avatar {
  flex-shrink: 0;
  width: 120px;
  height: 120px;
  margin-right: 20px;
  transition: width 0.2s ease, height 0.2s ease, margin-right 0.2s ease;
}
.header__avatar img {
  width: 100%;
  height: 100%;
  border-radius: 20px;
}
.header__description {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-block: 5px;
}
.header__wrapper {
  display: flex;
  flex-direction: column;
}
.header__title {
  font-size: 22px;
  font-family: SF_Text_Bold, sans-serif;
  color: #000000;
  margin-bottom: 5px;
  display: inline-block;
}
.header__subtitle {
  font-size: 16px;
  display: inline-block;
}

.fixed_header {
  position: fixed;
  top: 0px;
  left: 50%;
  margin: 0;
  transform: translateX(-50%);
  width: 100%;
  max-width: 700px;
  height: 70px;
  padding: 4px 22px;
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0.9) 0%, rgba(255, 255, 255, 0.75) 35%, rgba(255, 255, 255, 0.4) 60%, rgba(255, 255, 255, 0.0) 100%);
  backdrop-filter: blur(1px);
  -webkit-backdrop-filter: blur(14px);
  z-index: 100;
  mask-image: linear-gradient(to bottom, black 0%, black 65%, transparent 100%);
}
.fixed_header__btn_search {
  flex-basis: auto;
  margin-bottom: 0;
}
.fixed_header__container {
  justify-content: space-between;
  align-items: center;
  /*width: calc(50% + 15px);*/
}
.fixed_header__wrapper {
  display: none;
}
.fixed_header__avatar {
  width: 30px;
  height: 30px;
  margin-right: 0;
}
.fixed_header__avatar img {
  width: 100%;
  height: 100%;
  border-radius: 5px;
}

.parametrs {
  margin-bottom: 20px;
  gap: 5px;
}
.parametrs__border {
  flex: 0 0 1px;
  height: 35px;
  background-color: #C6C6C8;
}
.parametrs .parametr {
  min-width: 75px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.parametrs .parametr__name {
  font-size: 12px;
}
.parametrs .parametr__icon {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 18px;
  width: 25px;
  height: 25px;
}
.parametrs .parametr__icon img {
  width: 100%;
  height: 100%;
}
.parametrs .parametr__description {
  font-family: SF_Light, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 12px;
  text-wrap: nowrap;
}

.preview {
  margin-bottom: 20px;
}
.preview__card {
  padding-bottom: 10px;
}
.preview__card img {
  min-width: 200px;
  min-height: 450px;
  max-height: 450px;
  border-radius: 30px;
  box-shadow: 0 8px 5px 0 rgba(0, 0, 0, 0.25);
}

.description {
  font-family: SF_Light, sans-serif;
  color: #000000;
  padding-block: 20px;
  margin-bottom: 20px;
  border-top: 0.5px solid #C6C6C8;
  border-bottom: 0.5px solid #C6C6C8;
}
.description__container {
  max-height: 60px;
  overflow: hidden;
  margin-bottom: 10px;
  position: relative;
}
.description__content {
  text-align: start;
  white-space: pre-wrap;
  line-height: 1.2;
}
.description__content--collapsed {
  max-height: 100px; /* або інше значення */
  overflow: hidden;
}
.description__btn_more {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 3px 10px 3px 30px;
  border-radius: 10px;
  color: #3478F6;
  line-height: 1.2;
  text-decoration: underline;
  background: linear-gradient(90deg, rgba(255, 255, 255, 0.6405155812) 0%, rgb(255, 251, 251) 30%, rgb(255, 255, 255) 100%);
}
.description__developer_name {
  color: #3478F6;
  margin-bottom: 2px;
}
.description__developer {
  font-size: 16px;
  color: #8A8A8D;
}

.rating {
  margin-bottom: 20px;
}
.rating__title {
  margin-bottom: 20px;
}
.rating__top {
  display: flex;
  gap: 40px;
  margin-bottom: 5px;
}
.rating__value {
  text-align: center;
  color: #4A4A4D;
  font-family: SF_Bold, sans-serif;
  width: 80px;
  font-size: 40px;
}
.rating__gradations {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  gap: 2px;
}
.rating__bottom {
  display: flex;
  justify-content: space-between;
}
.rating__signature {
  text-align: center;
  width: 80px;
  font-size: 16px;
}
.rating__count {
  font-family: SF_Light, sans-serif;
  font-size: 16px;
}

.gradation {
  display: flex;
}
.gradation__item {
  display: flex;
  align-items: center;
  flex-grow: 1;
}
.gradation__scale {
  margin-left: 5px;
  flex-grow: 1;
  height: 3px;
  border-radius: 6px;
  background: #F2F2F6;
}
.gradation__value {
  width: 90%;
  height: 3px;
  border-radius: 6px;
  background: #8A8A8D;
}
.gradation:nth-child(2) .gradation__value {
  width: 60%;
}
.gradation:nth-child(3) .gradation__value {
  width: 45%;
}
.gradation:nth-child(4) .gradation__value {
  width: 15%;
}
.gradation:nth-child(5) .gradation__value {
  width: 25%;
}

.stars {
  display: flex;
  align-items: center;
}
.stars__star {
  width: 8px;
  height: 8px;
  margin-right: 1px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}
.stars__star:last-child {
  margin-right: 0;
}
.stars__1 .stars__star:nth-last-child(-n+1), .stars__2 .stars__star:nth-last-child(-n+2), .stars__3 .stars__star:nth-last-child(-n+3), .stars__4 .stars__star:nth-last-child(-n+4), .stars__5 .stars__star:nth-last-child(-n+5) {
  background-image: url(../images/icon/icon_star_gray.svg);
}
.stars__orange .stars__star:nth-last-child(-n+5) {
  background-image: url(../images/icon/icon_star_orange.svg);
}

.comments {
  font-size: 16px;
  font-family: SF_Light, sans-serif;
}
.comments .comment {
  flex: 0 0 350px;
  color: #000000;
  border-radius: 10px;
  background-color: #F2F2F6;
  padding: 15px;
}
.comments .comment__item {
  display: flex;
  justify-content: space-between;
}
.comments .comment__item:first-child {
  margin-bottom: 5px;
}
.comments .comment__title {
  font-family: SF_Bold, sans-serif;
}
.comments .comment__star {
  width: 12px;
  height: 12px;
}
.comments .comment__content {
  margin-top: 10px;
  line-height: 1.2;
}
.comments .comment__data {
  color: #8A8A8D;
}
.comments .comment__name {
  color: #8A8A8D;
}

.privacy {
  padding-top: 20px;
  margin-top: 20px;
  border-top: 0.5px solid #C6C6C8;
  font-family: SF_Light, sans-serif;
}
.privacy__title {
  margin-bottom: 10px;
}
.privacy__content {
  line-height: 1.2;
  white-space: pre-wrap;
}

.information {
  margin-top: 10px;
  padding-top: 10px;
  padding-bottom: 40px;
  border-bottom: 0.5px solid #C6C6C8;
  margin-bottom: 20px;
}
.information__title {
  margin-bottom: 20px;
}

.table {
  font-family: SF_Light, sans-serif;
  width: 100%;
}
.table__row {
  padding: 10px 0;
  border-bottom: 0.5px solid #8A8A8D;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.table__name {
  text-align: left;
}
.table__value {
  font-family: SF_Regular, sans-serif;
  color: #000000;
  text-align: right;
}

.recommended_apps__title {
  margin-bottom: 20px;
}
.recommended_apps__container {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.recommended_apps__container::-webkit-scrollbar {
  display: none;
}

.recommended_app {
  display: flex;
  gap: 10px;
  font-family: SF_Light, sans-serif;
}
.recommended_app__icon img {
  width: 80px;
  height: 80px;
  border-radius: 20px;
}
.recommended_app__container {
  display: flex;
  flex-direction: column;
  width: 100%;
  border-bottom: 0.5px solid #C6C6C8;
}
.recommended_app__name {
  padding-top: 10px;
  margin-bottom: 7px;
  color: #000000;
}

.popup {
  color: #000000;
  display: none;
  position: fixed;
  font-size: 16px;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.75);
  width: 100%;
  height: 100%;
  z-index: 200;
  justify-content: center;
  align-items: flex-end;
}
.popup__container {
  background: #FFF;
  width: 100%;
  max-width: 700px;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  transform: translateY(100%);
  transition: transform 0.5s;
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
  padding: 20px 32px;
}
.popup__title {
  text-align: center;
  font-size: 25px;
  color: #000000;
  margin-bottom: 22px;
}
.popup__list {
  margin-block: 24px;
  list-style: none;
  padding: 0;
}
.popup__list li {
  font-size: 18px;
  font-weight: 400;
  line-height: 21px;
  letter-spacing: -0.5px;
  margin-bottom: 12px;
}
.popup__list li img {
  vertical-align: text-top;
  width: 20px;
  height: 20px;
  border-radius: 2px;
}
.popup.show {
  display: flex;
}

.app-container {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  gap: 16px;
  border-bottom: 0.5px solid #C6C6C8;
  border-top: 0.5px solid #C6C6C8;
  padding: 12px 0;
}

.app_preview {
  width: 130px;
}

.app_preview img {
  width: 96px;
  height: 96px;
  border-radius: 12px;
}

.info_app {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.info_app > div {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.titl_app {
  font-size: 18px;
  font-weight: 600;
  letter-spacing: -0.5px;
  margin-bottom: 4px;
}

.app_descr {
  font-size: 16px;
  color: #8E8E93;
  margin-bottom: 0;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  font-weight: 300;
  opacity: 0.5;
}

.open_animation {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: var(--animation-display, none);
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.open_animation__svg {
  width: 100px;
  height: 100px;
}
.open_animation__content {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 25px;
  width: 200px;
  color: #0B57D0;
  font-size: 20px;
  font-weight: 600;
}
.open_animation__content:after {
  content: " .";
  animation: 1s steps(5, end) infinite points;
}

@keyframes points {
  0%, 20% {
    color: transparent;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  40% {
    color: #0B57D0;
    text-shadow: 0.25em 0 0 transparent, 0.5em 0 0 transparent;
  }
  60% {
    text-shadow: 0.25em 0 0 #0B57D0, 0.5em 0 0 transparent;
  }
  100%, 80% {
    text-shadow: 0.25em 0 0 #0B57D0, 0.5em 0 0 #0B57D0;
  }
}

.header__btn_search {
  justify-content: space-between;
}

.header__btn_search img {
  margin: 0;
}

.container-button {
  display: flex;
  align-items: center;

  .purchases {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    font-size: 10px;
    margin-left: 8px;

    span {
      color: #b9b9b9;
    }
  }
}

.search_icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 35px;
  height: 35px;
  border-radius: 100%;
  background: #fffffd;
}

.share_icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 35px;
  height: 35px;
  border-radius: 100%;
  background: #fffffd;
}